### Class

# Lasem DomView

#### Description

    abstract class Lasem.DomView : GObject.Object
    {
      LsmDomDocument* document,
      PangoFontDescription* font_description,
      PangoLayout* pango_layout,
      PangoLayout* measure_pango_layout,
      cairo_t* cairo,
      gboolean is_vector,
      double resolution_ppi,
      LsmBox viewport_pt
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### lsm_dom_view_get_resolution

No description available.

###### lsm_dom_view_get_size

Get the view size and baseline. Baseline is for use of view inside bloc of text.

###### lsm_dom_view_get_size_pixels

Get the view size and baseline. Baseline is for use of view inside bloc of text.

###### lsm_dom_view_get_viewport

No description available.

###### lsm_dom_view_get_viewport_pixels

No description available.

###### lsm_dom_view_render

Render `view` in the `cairo` context.

###### lsm_dom_view_set_debug

Configure feature debug.

###### lsm_dom_view_set_document

Change the document attached to `view`. The previously attached document is unreferenced.

###### lsm_dom_view_set_resolution

Set the view resolution, in pixel per inch.

###### lsm_dom_view_set_viewport

Set the viewport size.

###### lsm_dom_view_set_viewport_pixels

Set the viewport size.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct LasemDomViewClass {
      GObjectClass parent_class;
      GType document_type;
      void (* measure) (
        LsmDomView* view,
        double* width,
        double* height,
        double* baseline
      );
      void (* render) (
        LsmDomView* view
      );
      void (* set_debug) (
        LsmDomView* view,
        const char* feature,
        gboolean enable
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`document_type: GType`

  No description available.

`measure: void (* measure) ( LsmDomView* view, double* width, double* height, double* baseline )`

  No description available.

`render: void (* render) ( LsmDomView* view )`

  No description available.

`set_debug: void (* set_debug) ( LsmDomView* view, const char* feature, gboolean enable )`

  No description available.

#### Virtual methods

###### Lasem.DomViewClass.measure

No description available.

###### Lasem.DomViewClass.render

No description available.

###### Lasem.DomViewClass.set_debug

Configure feature debug.